Module | Bio::RestrictionEnzyme::CutSymbol
In: | lib/bio/util/restriction_enzyme/cut_symbol.rb

# Usage

      #require 'bio/util/restriction_enzyme/cut_symbol'
      require 'cut_symbol'
      include Bio::RestrictionEnzyme::CutSymbol

      cut_symbol                            # => "^"
      set_cut_symbol('|')                   # => "|"
      cut_symbol                            # => "|"
      escaped_cut_symbol                    # => "\\|"
      re_cut_symbol                         # => /\|/
      set_cut_symbol('^')                   # => "^"
      "abc^de" =~ re_cut_symbol             # => 3
      "abc^de" =~ re_cut_symbol_adjacent    # => nil
      "abc^^de" =~ re_cut_symbol_adjacent   # => 3
      "a^bc^^de" =~ re_cut_symbol_adjacent  # => 4
      "a^bc^de" =~ re_cut_symbol_adjacent   # => nil

### Methods

cut_symbol escaped_cut_symbol re_cut_symbol re_cut_symbol_adjacent set_cut_symbol

### Classes and Modules

Class Bio::RestrictionEnzyme::CutSymbol::CutSymbol__

### Public Instance methods

cut_symbol()

Get the token that‘s used as the cut symbol in a restriction enzyme sequece

Arguments

- none

Returns: | `glyph`

[Source]

        # File lib/bio/util/restriction_enzyme/cut_symbol.rb, line 52
    52:   def cut_symbol; CutSymbol__.cut_symbol; end

escaped_cut_symbol()

Get the token that‘s used as the cut symbol in a restriction enzyme sequece with a back-slash preceding it.

Arguments

- none

Returns: | +\glyph+

[Source]

        # File lib/bio/util/restriction_enzyme/cut_symbol.rb, line 61
    61:   def escaped_cut_symbol; CutSymbol__.escaped_cut_symbol; end

re_cut_symbol()

A Regexp of the cut_symbol.

Arguments

- none

Returns: | `RegExp`

[Source]

        # File lib/bio/util/restriction_enzyme/cut_symbol.rb, line 79
    79:   def re_cut_symbol
    80:     %r"#{escaped_cut_symbol}"
    81:   end

re_cut_symbol_adjacent()

Used to check if multiple cut symbols are next to each other.

Arguments

- none

Returns: | `RegExp`

[Source]

        # File lib/bio/util/restriction_enzyme/cut_symbol.rb, line 69
    69:   def re_cut_symbol_adjacent
    70:     %r"#{escaped_cut_symbol}{2}"
    71:   end

set_cut_symbol(glyph)

Set the token to be used as the cut symbol in a restriction enzyme sequece

Starts as +^+ character

Arguments

- `glyph`: The single character to be used as the cut symbol in an enzyme sequence

Returns: | `glyph`

[Source]

        # File lib/bio/util/restriction_enzyme/cut_symbol.rb, line 42
    42:   def set_cut_symbol(glyph)
    43:     CutSymbol__.cut_symbol = glyph
    44:   end

[Validate]